<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<title>libodf documentation</title>
<!-- <link rel="shortcut icon" href="../images/shortcut_icon_2.png" /> -->
<link rel="stylesheet" href="odf.css" type="text/css" />
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
<meta name="description" content="The HTML version of the libodf's documentation files" />
<meta name="keywords" content="ODF, Open, Descent, Foundation, libodf, html, documentation, README, LICENSE" />
<meta name="Generator" content="vim" />
<meta name="robots" content="index, follow" />

</head>

<body>
<h1>libodf 0.12</h1>
A library for programs of the Open Descent Foundation
<hr/>

If you should notice problems reading this HTML file, look at the <a href='../README.txt'>README.txt</a> file to view it in text format. The contents are equal.

<h2>CONTENTS</h2>

<ol>
<li>What is libodf?</li>
<li>Installing</li>
<li>Documentation</li>
<li>License</li>
<li>Testing</li>
<li>Contact</li>
<li>Thanx to</li>
</ol>

<h2>1. WHAT IS libodf?</h2>

	<p>libodf is a libary which is used by lots of programs of the Open Descent
	Foundation. You may visit us at <a href="http://odf.sf.net">http://odf.sf.net</a>.</p>
	
	<p><strong>libodf has nothing to do with the Open Document Format.</strong></p>
	
	<p>The main aims are:
	<ul>
		<li>system independency</li>
		<li>safe functions, errors are throwen</li>
		<li>easy use of C/C++, especially file functions and networking</li>
	</ul>
	</p>
	
	<p>libodf was mostly written by King Lo. D.Cent also took part.</p>
	
	Read more in our <a href="http://www.odf-online.org/wiki/index.php/Libodf">wiki article</a>.

<h2>2. INSTALLING</h2>

	First of all, you need to download either the sources or a binary from our
	website. See 6. CONTACT.
	
<!--	<h3>Linuxers</h3>
	
	<h4>from source</h4>
	<ul>
		<li>compiling: Simply type "make"</li>
		<li>testing: Simply type:
			<ul>
			<li>cd test</li>
			<li>make</li>
			<li>./test</li>
			</ul>
			</li>
		<li>installing: Simply type "make install"</li>
	</ul>
	
	<h4>binaries</h4>
	Not available yet. Wait for the first release.
	
	<h3>Windowsers</h3>
	
	<h4>from source</h4>
	- DEV-CPP-compiling: Use the libodf.dev file
	<h4>binaries</h4>
	Not available yet. Wait for the first release.
	
	
	<h3>Other systems</h3>
	
	We could not test the library for other systems. If libodf does not compile on
	your system, let us know and we will try to get it run! (see contact section)
-->
	<p/>For installation details, <a href="INSTALL.html">click here</a>.
	
<h2>3. DOCUMENTATION</h2>

	The full documentation is in the <a href="../doc/">doc directory</a>. You may choose between
	<ul>
		<li><a href="../doc/html/index.html">HTML</a> (<a href="../doc/html/">html subdir)</a></li>
		<li>LATEX (<a href="../doc/latex/">latex subdir</a>)</li>
		<li>man pages (<a href="../doc/man/">man subdir</a>)</li>
	</ul>
	
<h2>4. LICENSE</h2>

	All sources are licensed under the terms of the GPL v3. See the file
	<a href='../LICENSE.txt'>LICENSE.txt</a> (<a href='LICENSE.html'>HTML version</a>).

<h2>5. TESTING</h2>

	Switch into the <a href="../test">'test'</a> directory. You will find a GNU-Makefile and some sources there. Compile the binary you want and then run it in a console. Lots of useful debugging information will be displayed.

<h2>6. CONTACT</h2>

	Visit the Open Descent Foundation at <a href="http://odf.sf.net">http://odf.sf.net</a>.
	You will also find our email addresses at our site (see imprint on the site).

<h2>7. THANX TO</h2>

	<p>
	<ul>
		<li>The Lion for all the support and the knowledge you provided us with!</li>
		<li>Wormaus for the ODF-Server</li>
	</ul>
	</p>
	
	<p>
	<ul>
		<li>Linus Torvalds &amp; Co. for Linux</li>
		<li>Richard Stallman &amp; Co. for GNU, GLIB etc.</li>
		<li>Bill Gates &amp; Co. for giving us an example of how to write bad Software :P</li>
		<li>Kiefer Sutherland &amp; Co. for entertaining us</li>
		<li>...and everyone else we forgot!</li>
	</ul>
	</p>

</body>
